summaryrefslogtreecommitdiff
path: root/dmake/tests
diff options
context:
space:
mode:
authorVladimir Glazounov <vg@openoffice.org>2007-01-18 08:41:39 +0000
committerVladimir Glazounov <vg@openoffice.org>2007-01-18 08:41:39 +0000
commitd63b53b0523d231c5e2ec91c12270f09bd58aa6a (patch)
tree7eb11b7fbced1b75160d0850d0e5ba1dc59c4a08 /dmake/tests
parentb8494f7a040b64a3c31f6af0b0a30a4d70fdff65 (diff)
INTEGRATION: CWS dmake47 (1.1.2); FILE ADDED
2006/10/07 20:23:16 vq 1.1.2.1: #i70027# Fix diagnostic output and add a testcase.
Diffstat (limited to 'dmake/tests')
-rwxr-xr-xdmake/tests/misc-1444
1 files changed, 44 insertions, 0 deletions
diff --git a/dmake/tests/misc-14 b/dmake/tests/misc-14
new file mode 100755
index 000000000000..6f71b373c2df
--- /dev/null
+++ b/dmake/tests/misc-14
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# 07.10.2006 Volker Quetschke
+# Check if the line of the error is issued
+# (issue 70027)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles ( $ -> \$ ).
+# Also quote line continuations ( \<nl> -> \\<nl> ).
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+all :
+ +echo allA
+
+all :
+ +echo allB
+EOT
+
+output=`eval ${DMAKEPROG} -r -f $file1 2>&1`
+result=$?
+
+if echo "$output" | grep 'line .: Error: --' > /dev/null 2>&1 ; then
+ dummy=1
+ result=0
+ # OK
+else
+ echo "Test 1: Wrong result: $output"
+ echo
+ result=1
+fi
+
+test $result -eq 0 && echo "Success - Cleaning up" && rm -f ${tmpfiles}
+test $result -ne 0 && echo "Failure!"
+exit $result